const fs = require('fs');
const csvParser = require('csv-parser');

    const data = {
      "Brand A": 123.45,
      "Brand B": 78.90,
      "Brand C": 150.00,
      // Add more brand data here...
    };

// Replace 'your_csv_file.csv' with the actual path to your CSV file
const csvFilePath = 'your_csv_file.csv';

// Function to calculate the average cost for each brand
function calculateBrandAverageCost(data) {
  const brandCostMap = {};
  const brandCountMap = {};

  data.forEach((item) => {
    const brand = item.brand;
    const cost = parseFloat(item.cost);

    if (!isNaN(cost)) {
      if (brandCostMap[brand]) {
        brandCostMap[brand] += cost;
        brandCountMap[brand] += 1;
      } else {
        brandCostMap[brand] = cost;
        brandCountMap[brand] = 1;
      }
    }
  });

  const brandAverageCost = {};
  Object.keys(brandCostMap).forEach((brand) => {
    const totalCost = brandCostMap[brand];
    const totalCount = brandCountMap[brand];
    const averageCost = totalCost / totalCount;
    brandAverageCost[brand] = averageCost.toFixed(2); // Rounding to 2 decimal places
  });

  return brandAverageCost;
}

// Read and process the CSV file
fs.createReadStream(csvFilePath)
  .pipe(csvParser())
  .on('data', (row) => {
    // Process each row of data here
    console.log(row);
  })
  .on('end', () => {
    // CSV processing is complete
    // You can calculate the brand vs. avg cost here
    console.log('CSV processing complete');
  });

    // Function to create and render the bar chart
    function renderBarChart(data) {
      const chartContainer = document.querySelector('.chart-container');

      for (const brand in data) {
        const avgCost = data[brand];
        const bar = document.createElement('div');
        bar.className = 'bar';
        bar.style.width = `${avgCost * 2}px`; // Adjust bar width as per your preference
        bar.textContent = `${brand}: $${avgCost}`;
        chartContainer.appendChild(bar);
      }
    }

    // Call the function to render the bar chart
    renderBarChart(data);